Bug 458651 - Give exit code != 0 when vncserver did not started
Give exit code != 0 when vncserver did not started
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vnc (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Tkac
: EasyFix
Depends On: 212985
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 07:23 EDT by Michal Nowak
Modified: 2013-04-30 19:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:16:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-08-11 07:23:29 EDT
Description of problem:

In: 

    vnc-rh212985.patch

From:

    24 -# Give Xvnc a chance to start up
    25 -
    26 -sleep(3); 
    27 +if (!(-e "$pidFile")) {
    28 +    warn "Unable to start Xvnc, exiting\n";
--> 29 +    exit;
    30 +}


To:

--> 29 +    exit 2;


Exit code 1 is allocated already, so let's choose some random one -> 2.

Version-Release number of selected component (if applicable):

vnc-4.1.2-11.el5

Actual results:

Error msg is given but exit code is still set to zero.

Expected results:

$ vncserver -bigBang
...
$ echo $?
2

Additional info:

This would help catching not started VNC server in nicer way. Now is necessary to grep output, which is fault-prone (string might change, etc.)
Comment 2 RHEL Product and Program Management 2008-08-11 09:46:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Adam Tkac 2008-08-11 11:46:32 EDT
Fixed in vnc-4.1.2-12.el5
Comment 7 errata-xmlrpc 2009-01-20 16:16:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0119.html

Note You need to log in before you can comment on or make changes to this bug.